function [corValArrB] = makeCorValArrB(corArrDB, noBeatsPerBar, workDir)
    % BeatTimeAll(ms) ch1axAng ch2axAng  para1a para1b para1c para1d  para2a para2b para2c para2d
    
    corValArrB = zeros(size(corArrDB, 1)*noBeatsPerBar, 11);
    
    %% Inn axVal fra mov filer
    iDB = 1; 
    while iDB <= size(corArrDB, 1) - 1 % Går gjennom DB, leter etter nye movFiles
        
        if ~isempty(corArrDB{iDB, 2}) % plassen er ikke tom for moveFile
            movName = corArrDB{iDB, 2}; % moveName = [workDir corArrDB{iDB, 2} '.txt']; % Skal ligge en ny her
            mov = loadMovFromFile(workDir, movName); %load(moveName); % loadMovFromFile(workDir, movName); % Bnr axis1Angle axis2Angle .. axisNAngle
            movBLng = size(mov, 1);
            

            
            corValArrB(iDB*noBeatsPerBar-noBeatsPerBar+1:iDB*noBeatsPerBar-noBeatsPerBar + movBLng, 2) = mov(:, 2); % ax1 val
            corValArrB(iDB*noBeatsPerBar-noBeatsPerBar+1:iDB*noBeatsPerBar-noBeatsPerBar + movBLng, 3) = mov(:, 3); % ax2 val
            
            iDB = iDB + movBLng / noBeatsPerBar; % Hopper fram til neste mov i corArrDB
            
            %OK
        else
            iDB = iDB + 1; % Hopper fram til neste mov i corArrDB
            corValArrB(iDB*noBeatsPerBar-noBeatsPerBar+1:iDB*noBeatsPerBar-noBeatsPerBar + 1, 2) = 0; % ax1 val
            corValArrB(iDB*noBeatsPerBar-noBeatsPerBar+1:iDB*noBeatsPerBar-noBeatsPerBar + 1, 3) = 0; % ax2 val
        end
    end
    
    %% Inn B clicktider, siste beat har ingen slutt tid, bruker nest siste for siste dist
    for i = 1 : size(corArrDB, 1)
        startVal = corArrDB{i, 1};
        
        if i < size(corArrDB, 1) % siste beat har ingen slutt tid, bruker nest siste for siste dist
            dist = (corArrDB{i+1, 1} - corArrDB{i, 1}) / noBeatsPerBar;
        end
        
        for ii = 1 : noBeatsPerBar
            corValArrB(noBeatsPerBar*(i-1) + ii, 1) = floor(startVal + dist*(ii-1));
        end
        
    end
    
    %% Inn para
    currYval = 0;
    currClick = 1;
    % Først kanal 1
    for i = 1 : size(corValArrB, 1)
        if ~isnan(corValArrB(i, 2))  % Har funnet en ny start/slutt verdi
            oldYval = currYval;
            oldClick = currClick;
            currYval = corValArrB(i, 2);
            currClick = i;
            
            x1 = corValArrB(oldClick, 1); % x til click-1
            x2 = corValArrB(currClick, 1);
            y1 = oldYval;
            y2 = currYval;
            
            [A, B, D, T] = findPara(x1, y1, x2, y2, 525);
            for ii = oldClick : currClick - 1
                corValArrB(ii, 4:7) = [A, B, D, T];
            end
        end
    end
    
    %%%%%%%%%%%% Kanal 2
    
    currYval = 0;
    currClick = 1;
    
    for i = 1 : size(corValArrB, 1)
        if ~isnan(corValArrB(i, 3)) % Har funnet en ny start/slutt verdi
            oldYval = currYval;
            oldClick = currClick;
            currYval = corValArrB(i, 3); % Legger inn ny verdi sentrert rundt 5 i currclick i
            currClick = i;
            
            x1 = corValArrB(oldClick, 1); % x til click-1
            x2 = corValArrB(currClick, 1);
            y1 = oldYval;
            y2 = currYval;
            
            [A, B, D, T] = findPara(x1, y1, x2, y2, 525);
            for ii = oldClick : currClick - 1
                corValArrB(ii, 8:11) = [A, B, D, T];
            end
        end
    end
    
    
end




